<?xml version="1.0" encoding="UTF-8" ?>
<testsuite failures="0" time="0.062" errors="1" skipped="0" tests="1" name="com.ibm.devworks.NumOpsTest">
  <properties>
    <property name="java.runtime.name" value="Java(TM) SE Runtime Environment"/>
    <property name="sun.boot.library.path" value="D:\desenv\java\jdk1.6\jre\bin"/>
    <property name="java.vm.version" value="11.3-b02"/>
    <property name="java.vm.vendor" value="Sun Microsystems Inc."/>
    <property name="java.vendor.url" value="http://java.sun.com/"/>
    <property name="path.separator" value=";"/>
    <property name="java.vm.name" value="Java HotSpot(TM) Client VM"/>
    <property name="file.encoding.pkg" value="sun.io"/>
    <property name="user.country" value="BR"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="sun.os.patch.level" value="Service Pack 3"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="user.dir" value="D:\XIMK_Local\XAulas\WebApp\exemplos\spring\2-numops-junit4\NumOps"/>
    <property name="java.runtime.version" value="1.6.0_13-b03"/>
    <property name="java.awt.graphicsenv" value="sun.awt.Win32GraphicsEnvironment"/>
    <property name="basedir" value="D:\XIMK_Local\XAulas\WebApp\exemplos\spring\2-numops-junit4\NumOps"/>
    <property name="java.endorsed.dirs" value="D:\desenv\java\jdk1.6\jre\lib\endorsed"/>
    <property name="os.arch" value="x86"/>
    <property name="surefire.real.class.path" value="D:\DOCUME~1\s092\CONFIG~1\Temp\surefirebooter7625255982476431215.jar"/>
    <property name="java.io.tmpdir" value="D:\DOCUME~1\s092\CONFIG~1\Temp\"/>
    <property name="line.separator" value="
"/>
    <property name="java.vm.specification.vendor" value="Sun Microsystems Inc."/>
    <property name="user.variant" value=""/>
    <property name="os.name" value="Windows XP"/>
    <property name="sun.jnu.encoding" value="Cp1252"/>
    <property name="java.library.path" value="D:\desenv\java\jdk1.6\jre\bin;.;C:\WINDOWS\Sun\Java\bin;C:\WINDOWS\system32;C:\WINDOWS;d:\desenv\graphics\imagemagick-6.4.5-q16;C:\SDK\CodeSynthesis XSD 3.2\bin\;D:\desenv\graphics\Microsoft DirectX SDK (November 2007)\Utilities\Bin\x86;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;G:\INGRES32\INGRES\BIN;G:\INGRES32\INGRES\UTILITY;G:\CENTURA\DEPLOY;C:\Arquivos de programas\Arquivos comuns\Autodesk Shared;C:\Arquivos de programas\Autodesk\DWG TrueView;G:\ORACLE\ORA92\BIN;C:\Arquivos de programas\Arquivos comuns\Roxio Shared\DLLShared\;C:\Arquivos de programas\Microsoft SQL Server\90\Tools\binn\;D:\desenv\doxygen\bin;D:\desenv\java\jdk1.6\bin;D:\desenv\java\apache\ant1.7.0\bin;C:\SDK\Cg\1.5\bin;C:\SDK\OpenSceneGraph\2.4_vc8_win32_dynamic\bin;C:\Projects\tecosg\bin\win32;C:\SDK\win32depend\bin\;C:\SDK\Qt\4.3.1\bin\;C:\SDK\Python26;C:\Projects\vrbase\bin\;C:\SDK\OpenSG_1.8\lib;C:\SDK\luabind\lib;C:\SDK\lua5.1\lib;D:\desenv\java\mule-2.1.2\bin;D:\desenv\java\appserver\glassfish-v2ur2\bin;D:\desenv\java\maven2\bin;D:\desenv\java\apache-servicemix-3.3\bin;D:\desenv\java\apache-activemq-5.1.0\bin;D:\desenv\java\gigaspaces-xap-community-6.6.3-ga\bin;C:\Arquivos de programas\SlikSvn\bin\;C:\Arquivos de programas\Microsoft SQL Server\100\Tools\Binn\;C:\Arquivos de programas\Microsoft SQL Server\100\DTS\Binn\;C:\Arquivos de programas\TortoiseSVN\bin;D:\desenv\graphics\ParaView3.2.1\bin;C:\Arquivos de programas\CVSNT\;C:\Arquivos de programas\SSH Communications Security\SSH Secure Shell;D:\desenv\bin;C:\cygwin\bin;C:\Arquivos de programas\CollabNet Subversion;C:\SDK\CMake_2.6\bin"/>
    <property name="surefire.test.class.path" value="D:\XIMK_Local\XAulas\WebApp\exemplos\spring\2-numops-junit4\NumOps\target\test-classes;D:\XIMK_Local\XAulas\WebApp\exemplos\spring\2-numops-junit4\NumOps\target\classes;D:\desenv\java\m2\repository\junit\junit\4.4\junit-4.4.jar;D:\desenv\java\m2\repository\org\springframework\spring\2.5.5\spring-2.5.5.jar;D:\desenv\java\m2\repository\commons-logging\commons-logging\1.1.1\commons-logging-1.1.1.jar;D:\XIMK_Local\XAulas\WebApp\exemplos\spring\2-numops-junit4\OpsImp\target\classes;"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="java.class.version" value="50.0"/>
    <property name="sun.management.compiler" value="HotSpot Client Compiler"/>
    <property name="os.version" value="5.1"/>
    <property name="user.home" value="D:\Documents and Settings\s092"/>
    <property name="user.timezone" value=""/>
    <property name="java.awt.printerjob" value="sun.awt.windows.WPrinterJob"/>
    <property name="java.specification.version" value="1.6"/>
    <property name="file.encoding" value="Cp1252"/>
    <property name="user.name" value="s092"/>
    <property name="java.class.path" value="D:\XIMK_Local\XAulas\WebApp\exemplos\spring\2-numops-junit4\NumOps\target\test-classes;D:\XIMK_Local\XAulas\WebApp\exemplos\spring\2-numops-junit4\NumOps\target\classes;D:\desenv\java\m2\repository\junit\junit\4.4\junit-4.4.jar;D:\desenv\java\m2\repository\org\springframework\spring\2.5.5\spring-2.5.5.jar;D:\desenv\java\m2\repository\commons-logging\commons-logging\1.1.1\commons-logging-1.1.1.jar;D:\XIMK_Local\XAulas\WebApp\exemplos\spring\2-numops-junit4\OpsImp\target\classes;"/>
    <property name="java.vm.specification.version" value="1.0"/>
    <property name="sun.arch.data.model" value="32"/>
    <property name="java.home" value="D:\desenv\java\jdk1.6\jre"/>
    <property name="java.specification.vendor" value="Sun Microsystems Inc."/>
    <property name="user.language" value="pt"/>
    <property name="awt.toolkit" value="sun.awt.windows.WToolkit"/>
    <property name="java.vm.info" value="mixed mode, sharing"/>
    <property name="java.version" value="1.6.0_13"/>
    <property name="java.ext.dirs" value="D:\desenv\java\jdk1.6\jre\lib\ext;C:\WINDOWS\Sun\Java\lib\ext"/>
    <property name="sun.boot.class.path" value="D:\desenv\java\jdk1.6\jre\lib\resources.jar;D:\desenv\java\jdk1.6\jre\lib\rt.jar;D:\desenv\java\jdk1.6\jre\lib\sunrsasign.jar;D:\desenv\java\jdk1.6\jre\lib\jsse.jar;D:\desenv\java\jdk1.6\jre\lib\jce.jar;D:\desenv\java\jdk1.6\jre\lib\charsets.jar;D:\desenv\java\jdk1.6\jre\classes"/>
    <property name="java.vendor" value="Sun Microsystems Inc."/>
    <property name="localRepository" value="D:\desenv\java\m2\repository"/>
    <property name="file.separator" value="\"/>
    <property name="java.vendor.url.bug" value="http://java.sun.com/cgi-bin/bugreport.cgi"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="sun.desktop" value="windows"/>
    <property name="sun.cpu.isalist" value="pentium_pro+mmx pentium_pro pentium+mmx pentium i486 i386 i86"/>
  </properties>
  <testcase time="0.031" classname="com.ibm.devworks.NumOpsTest" name="initializationError0">
    <error message="No runnable methods" type="java.lang.Exception">java.lang.Exception: No runnable methods
	at org.junit.internal.runners.MethodValidator.validateInstanceMethods(MethodValidator.java:32)
	at org.junit.internal.runners.MethodValidator.validateMethodsForDefaultRunner(MethodValidator.java:43)
	at org.junit.internal.runners.JUnit4ClassRunner.validate(JUnit4ClassRunner.java:36)
	at org.junit.internal.runners.JUnit4ClassRunner.&lt;init&gt;(JUnit4ClassRunner.java:27)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:513)
	at org.junit.internal.requests.ClassRequest.buildRunner(ClassRequest.java:33)
	at org.junit.internal.requests.ClassRequest.getRunner(ClassRequest.java:28)
	at org.apache.maven.surefire.junit4.JUnit4TestSet.&lt;init&gt;(JUnit4TestSet.java:45)
	at org.apache.maven.surefire.junit4.JUnit4DirectoryTestSuite.createTestSet(JUnit4DirectoryTestSuite.java:56)
	at org.apache.maven.surefire.suite.AbstractDirectoryTestSuite.locateTestSets(AbstractDirectoryTestSuite.java:96)
	at org.apache.maven.surefire.Surefire.createSuiteFromDefinition(Surefire.java:209)
	at org.apache.maven.surefire.Surefire.run(Surefire.java:156)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.maven.surefire.booter.SurefireBooter.runSuitesInProcess(SurefireBooter.java:345)
	at org.apache.maven.surefire.booter.SurefireBooter.main(SurefireBooter.java:1009)
</error>
  </testcase>
</testsuite>